diff -Naur jalv-1.4.6/doc/jalv.gtkmm.1 jalv-1.4.6.patched/doc/jalv.gtkmm.1
--- jalv-1.4.6/doc/jalv.gtkmm.1	2012-04-19 18:12:54.000000000 -0400
+++ jalv-1.4.6.patched/doc/jalv.gtkmm.1	1969-12-31 19:00:00.000000000 -0500
@@ -1,25 +0,0 @@
-.TH JALV.GTKMM 1 "19 Apr 2012"
-
-.SH NAME
-.B jalv.gtkmm \- Run an LV2 plugin as a JACK application (Gtkmm version).
-
-.SH SYNOPSIS
-.B jalv.gtkmm PLUGIN_URI
-
-.SH DESCRIPTION
-
-This is a versionm of Jalv with a GUI implemented in Gtkmm.  It is mainly for
-developer testing purposes, for a production ready program use jalv.gtk.
-
-.SH SEE ALSO
-.BR jalv(1),
-.BR jalv.gtk(1),
-.BR jalv.qt(2),
-.BR lv2ls(1),
-.BR jackd(1)
-
-.SH AUTHOR
-jalv was written by David Robillard <d@drobilla.net>
-.PP
-This manual page was written by Jaromír Mikes <mira.mikes@seznam.cz>
-and David Robillard <d@drobilla.net>
diff -Naur jalv-1.4.6/doc/jalv.qt.1 jalv-1.4.6.patched/doc/jalv.qt.1
--- jalv-1.4.6/doc/jalv.qt.1	2012-04-19 18:12:43.000000000 -0400
+++ jalv-1.4.6.patched/doc/jalv.qt.1	1969-12-31 19:00:00.000000000 -0500
@@ -1,25 +0,0 @@
-.TH JALV.QT 1 "19 Apr 2012"
-
-.SH NAME
-.B jalv.qt \- Run an LV2 plugin as a JACK application (Qt version).
-
-.SH SYNOPSIS
-.B jalv.qt PLUGIN_URI
-
-.SH DESCRIPTION
-
-This is a versionm of Jalv with a GUI implemented in Qt.  It is mainly for
-developer testing purposes, for a production ready program use jalv.gtk.
-
-.SH SEE ALSO
-.BR jalv(1),
-.BR jalv.gtkmm(1),
-.BR jalv.qt(2),
-.BR lv2ls(1),
-.BR jackd(1)
-
-.SH AUTHOR
-jalv was written by David Robillard <d@drobilla.net>
-.PP
-This manual page was written by Jaromír Mikes <mira.mikes@seznam.cz>
-and David Robillard <d@drobilla.net>
diff -Naur jalv-1.4.6/wscript jalv-1.4.6.patched/wscript
--- jalv-1.4.6/wscript	2014-08-08 17:36:24.000000000 -0400
+++ jalv-1.4.6.patched/wscript	2016-10-16 13:55:52.873636638 -0400
@@ -48,15 +48,6 @@
                       atleast_version='0.120.0', mandatory=True)
     autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                       atleast_version='2.18.0', mandatory=False)
-    autowaf.check_pkg(conf, 'gtk+-3.0', uselib_store='GTK3',
-                      atleast_version='3.0.0', mandatory=False)
-    autowaf.check_pkg(conf, 'gtkmm-2.4', uselib_store='GTKMM2',
-                      atleast_version='2.20.0', mandatory=False)
-    if not Options.options.no_qt:
-        autowaf.check_pkg(conf, 'QtGui', uselib_store='QT4',
-                          atleast_version='4.0.0', mandatory=False)
-        if conf.is_defined('HAVE_QT4'):
-            conf.find_program('moc')
 
     conf.check(function_name='jack_port_type_get_buffer_size',
                header_name='jack/jack.h',
@@ -81,12 +72,6 @@
                         conf.is_defined('HAVE_JACK_METADATA'))
     autowaf.display_msg(conf, "Gtk 2.0 support",
                         conf.is_defined('HAVE_GTK2'))
-    autowaf.display_msg(conf, "Gtk 3.0 support",
-                        conf.is_defined('HAVE_GTK3'))
-    autowaf.display_msg(conf, "Gtkmm 2.0 support",
-                        conf.is_defined('HAVE_GTKMM2'))
-    autowaf.display_msg(conf, "Qt 4.0 support",
-                        conf.is_defined('HAVE_QT4'))
     print('')
 
 def build(bld):
@@ -113,39 +98,6 @@
                   install_path = '${BINDIR}')
         autowaf.use_lib(bld, obj, libs + ' GTK2')
 
-    # Gtk3 version
-    if bld.is_defined('HAVE_GTK3'):
-        obj = bld(features     = 'c cprogram',
-                  source       = source + ' src/jalv_gtk.c',
-                  target       = 'jalv.gtk3',
-                  includes     = ['.', 'src'],
-                  lib          = ['pthread', 'm'],
-                  install_path = '${BINDIR}')
-        autowaf.use_lib(bld, obj, libs + ' GTK3')
-
-    # Gtkmm version
-    if bld.is_defined('HAVE_GTKMM2'):
-        obj = bld(features     = 'c cxx cxxprogram',
-                  source       = source + ' src/jalv_gtkmm2.cpp',
-                  target       = 'jalv.gtkmm',
-                  includes     = ['.', 'src'],
-                  lib          = ['pthread'],
-                  install_path = '${BINDIR}')
-        autowaf.use_lib(bld, obj, libs + ' GTKMM2')
-
-    # Qt version
-    if bld.is_defined('HAVE_QT4'):
-        obj = bld(rule = '${MOC} ${SRC} > ${TGT}',
-                  source = 'src/jalv_qt4.cpp',
-                  target = 'jalv_qt4_meta.hpp')
-        obj = bld(features     = 'c cxx cxxprogram',
-                  source       = source + ' src/jalv_qt4.cpp',
-                  target       = 'jalv.qt',
-                  includes     = ['.', 'src'],
-                  lib          = ['pthread'],
-                  install_path = '${BINDIR}')
-        autowaf.use_lib(bld, obj, libs + ' QT4')
-
     # Man pages
     bld.install_files('${MANDIR}/man1', bld.path.ant_glob('doc/*.1'))
 
